{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function coc_rpt1, send_event, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nCocDateFrom = .coc_date_from->text\r\nCocDateThru = .coc_date_thru->text\r\nif CocDateFrom or CocDateThru then\r\n\tDirToPrint   = .send_to_printer->text\r\n\tRetVal = CocDateFrom:'*':CocDateThru:'*':DirToPrint\r\n\tend_dialog( @window, RetVal )\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must have a from date or a thru date.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nreturn 0\r\n"
        }
    }
}